clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::RelationsRequest Struct Reference

`#include <Index.h>`

Collaboration diagram for clang::clangd::RelationsRequest:
[legend]

## Public Attributes
llvm::DenseSet< SymbolID > | Subjects
RelationKind | Predicate
llvm::Optional< uint32_t > | Limit
| If set, limit the number of relations returned from the index. More...

## Detailed Description

Definition at line 76 of file Index.h.

## Member Data Documentation

## ◆ Limit

llvm::Optional<uint32_t> clang::clangd::RelationsRequest::Limit

If set, limit the number of relations returned from the index.

Definition at line 80 of file Index.h.

Referenced by clang::clangd::MergedIndex::relations(), and clang::clangd::MemIndex::relations().

## ◆ Predicate

RelationKind clang::clangd::RelationsRequest::Predicate

Definition at line 78 of file Index.h.

Referenced by clang::clangd::MemIndex::relations().

## ◆ Subjects

llvm::DenseSet<SymbolID> clang::clangd::RelationsRequest::Subjects

Definition at line 77 of file Index.h.

Referenced by clang::clangd::MemIndex::relations().

The documentation for this struct was generated from the following file:

- Index.h